Subject: RE: [Sigtran] M3UA : 2 or 4 messages for ASP-UP in IPSP DE ?

From: "Cavalier, Laurent" <[email-masked]>
Date: Mon, 18 Jul 2005 16:10:55 +0200

Thanks Brian,

Yes it would be nice to correct the example of section 5.6.2 in 'bis'
draft to avoid confusion.

In addition, the text just below the dataflow is wrong :

" 5.6.2 Double exchange
  ..
  ..
   In this approach, only one single exchange of ASP Up message can be
   considered as enough since the response by the other peer can be
   considered as a notice that it is in ASP_UP state.
  ..
  .. "

Laurent

-----Original Message-----
From: Brian F. G. Bidulock [mailto:[email-masked]] 
Sent: Monday, July 18, 2005 2:58 PM
To: Cavalier, Laurent
Cc: [email-masked]
Subject: Re: [Sigtran] M3UA : 2 or 4 messages for ASP-UP in IPSP DE ?

Larent,

The text is correct, you need double exchange of ASP UP/Ack.

We just forgot to update the example somewhere along the way.
I understand that the 'bis' draft is at IESG last call: perhaps the
editors can correct the example in the final 48 hours.

--brian

Cavalier, Laurent wrote:
(Mon, 18 Jul 2005 14:15:28)
> Thanks Brian for your answer but my question was about ASP-UP in 
> Double Exchange.
> 
> Does only one single exchange of ASP Up/ASP Up-ack message can be 
> considered as enough? Cf. below:
> 
>                 IPSP-A                           IPSP-B
>                   |                                |
>                   |<-------------ASP Up------------|
>                   |-----------ASP Up Ack---------->|
>                   |                                |
>                   |<------- ASP Active(RCb)--------|
>                   |-----ASP Active Ack (RCb)------>|
>                   |                                |
>                   |------- ASP Active(RCa)-------->|
>                   |<-----ASP Active Ack (RCa)------|
> 
> Or do we need 2 exchanges of ASP Up/ASP Up-ack ?
> (4 ASPSM messages exchanged) Cf. below:
> 
>                 IPSP-A                           IPSP-B
>                   |                                |
>                   |<-------------ASP Up------------|
>                   |-----------ASP Up Ack---------->|
>                   |                                |
>                   |-------------ASP Up------------>|
>                   |<----------ASP Up Ack-----------|
>                   |                                |
>                   |<------- ASP Active(RCb)--------|
>                   |-----ASP Active Ack (RCb)------>|
>                   |                                |
>                   |------- ASP Active(RCa)-------->|
>                   |<-----ASP Active Ack (RCa)------|
> 
> Thanks
> 
> Laurent
> 
> > -----Original Message-----
> > From: Brian F. G. Bidulock [mailto:[email-masked]]
> > Sent: Thursday, July 14, 2005 10:51 AM
> > To: Cavalier, Laurent
> > Cc: [email-masked]
> > Subject: Re: [Sigtran] M3UA : 2 or 4 messages for ASP-UP in IPSP DE
?
> 
> 
> > Laurent,
> 
> > The text is correct, the example is not, really.
> 
> > In that ASP Active and Ack, I think the "(optional)" refers to the
> Routing Context (which is optional, err, well, > > conditional, in ASP

> Active/Ack).
> 
> > --brian
> 
> > Cavalier, Laurent wrote:                      (Wed, 13 Jul 2005
> 15:59:05)
> > > Hello All,
> > > 
> > > I have one question about RFC 3332 :
> > > 
> > > in the last M3UA RFC 3332Bis-04, in paragraph 4.3.4.1.2, it's said
> > > that in IPSP double exchanged mode, four messages are needed for 
> > > completion of the ASP Up procedure, later in dataflow example
> section,
> > > the second couple of ASP Up - Up-ack is mentioned as optional.
> > > 
> > > Can you please clarify which of these two procedures is correct?
> > > 
> > > Extract of RFC 3332 :
> > > 4.3.4.1.2 IPSP Considerations (ASP Up)
> > > ...
> > > ...
> > >    Alternatively, when using IPSP DE model, an interchange of ASP 
> > > Up messages from each end MUST be performed.
> > >    Four messages are needed for completion.
> > > ...
> > > ...
> > > 
> > > 5.6.2 Double exchange:
> > > 
> > >                IPSP-A                           IPSP-B
> > >                  |                                |
> > >                  |<-------------ASP Up------------|
> > >                  |-----------ASP Up Ack---------->|
> > >                  |                                |
> > >                  |-------------ASP Up------------>|  (optional)
> > >                  |<----------ASP Up Ack-----------|  (optional)
> > >                  |                                |
> > >                  |<------- ASP Active(RCb)--------|  RC: Routing
> Context
> > >                  |-----ASP Active Ack (RCb)------>|
(optional)
> > >                  |                                |
> > >                  |------- ASP Active(RCa)-------->|  RC: Routing
> Context
> > >                  |<-----ASP Active Ack (RCa)------|
(optional)
> > >                  |                                |
> > >                  |<=========  DATA (RCa) =========|
> > >                  |==========  DATA (RCb) ========>|
> > >                  |                                |
> > > ...
> > > ...
> > > 
> > > Thanks
> > > 
> > > Laurent
> > > 
> > > _______________________________________________
> > > Sigtran mailing list
> > > [email-masked] https://www1.ietf.org/mailman/listinfo/sigtran
> 
> > --
> > Brian F. G. Bidulock
> > [email-masked]
> > http://www.openss7.org/

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "J.Javier Pastor (ML/EEM)" <[email-masked]>
Date: Wed, 20 Jul 2005 08:31:28 +0200

Hi guys, 

The example is also correct. It is just showing a possible optimisation. At the end ASP-UP is simply used to tell the other peer that you are existing. Whenever you are able to answer you are advertising this existence as well. Therefore the second exchange, although not wrong, could be easily avoided. 

If it gets some confusion, we should add this to our possible editorial improvements list...

Cheers // Javier.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: lunes, 18 de julio de 2005 14:58
To: Cavalier, Laurent
Cc: [email-masked]
Subject: Re: [Sigtran] M3UA : 2 or 4 messages for ASP-UP in IPSP DE ?

Larent,

We just forgot to update the example somewhere along the way.
I understand that the 'bis' draft is at IESG last call: perhaps
the editors can correct the example in the final 48 hours.

--brian

Cavalier, Laurent wrote:                                                         (Mon, 18 Jul 2005 14:15:28)
> Thanks Brian for your answer but my question was about ASP-UP in Double
> Exchange.
> 
> > >    Alternatively, when using IPSP DE model, an interchange of ASP Up
> > > messages from each end MUST be performed. 
> > >                  |-----ASP Active Ack (RCb)------>|      (optional)
> > >                  |                                |
> > >                  |<-----ASP Active Ack (RCa)------|      (optional)
> > >                  |                                |

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Cavalier, Laurent" <[email-masked]>
Date: Wed, 20 Jul 2005 10:06:10 +0200

Hi Javier,

It seems that you have not the same opinion than Brian and it enforce my
confusion.

If we consider that the optimization is possible, 
then the second exchange of ASP-UP is optional:

                 IPSP-A                           IPSP-B
                   |                                |
                   |<-------------ASP Up------------|
                   |-----------ASP Up Ack---------->|
                   |                                |
                   |-------------ASP Up------------>| (Optional)
                   |<----------ASP Up Ack-----------| (Optional)
                   |                                |

With the previously described assumption, why in the last M3UA RFC
3332Bis-04, 
in paragraph "4.3.4.1.2 IPSP Considerations (ASP Up)", we have:

"  Alternatively, when using IPSP DE model, an interchange of ASP Up
   messages from each end MUST be performed. Four messages are needed
   for completion.  "

It seems that this sentence explain that the second exchange of ASP-UP
is always mandatory?

Thanks

Laurent

-----Original Message-----
From: J.Javier Pastor (ML/EEM) [mailto:[email-masked]] 
Sent: Wednesday, July 20, 2005 8:31 AM
To: [email-masked]'; Cavalier, Laurent
Cc: [email-masked]
Subject: RE: [Sigtran] M3UA : 2 or 4 messages for ASP-UP in IPSP DE ?

Hi guys, 

The example is also correct. It is just showing a possible optimisation.
At the end ASP-UP is simply used to tell the other peer that you are
existing. Whenever you are able to answer you are advertising this
existence as well. Therefore the second exchange, although not wrong,
could be easily avoided. 

If it gets some confusion, we should add this to our possible editorial
improvements list...

Cheers // Javier.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: lunes, 18 de julio de 2005 14:58
To: Cavalier, Laurent
Cc: [email-masked]
Subject: Re: [Sigtran] M3UA : 2 or 4 messages for ASP-UP in IPSP DE ?

Larent,

--brian

Cavalier, Laurent wrote:
?

(optional)
(optional)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Cavalier, Laurent" <[email-masked]>
Date: Thu, 21 Jul 2005 18:00:14 +0200

Hi All,

In this case, if IPSP DE model requires an exchange of 2 ASPSM from both
side 
(a total of 4 mandatory messages for UP procedure), 
then the following points of the RFC bis should be reviewed:

"
4.3 AS and ASP/IPSP State Maintenance

...

   2- IPSP Double Exchange (DE) model. A double exchange of ASPTM and
      ASPSM messages are normally needed (ASPSM single exchange is
      optional as a simplification).

...

      When using single exchange of ASPSM, what is seen as a
      simplification, it is only the activation phase (ASPTM messages)
      what is independent for each of the two directions. In this case
it
      could happen the sending the ASPSM from IPSP-A or IPSP-B will have
      an effect in the whole communication as it is defined in the
      standard SG-AS communication.
"

"
4.3.1 ASP/IPSP States
...
     whenever a DE-IPSP is taking the
     leading role to start communication to a peer DE-IPSP, it sends ASP
     Up message to the peer DE-IPSP. The peer MAY consider the
initiating
     DE-IPSPs as being in ASP-INACTIVE state, as it already sent a
     message, and answer back with ASP Up Ack. Upon the reception of
this
     answer by the initiating DE-IPSP it alsoMAY consider the peer as
     being in ASP-INACTIVE state since it did respond. Therefore a
second
     ASP Up message exchange to be started by the peer DE-IPSP could be
     avoided. In this case the reception of ASP Up Ack will turn into a
     state change.
...
"

"
5.6.2 Double exchange

               IPSP-A                           IPSP-B
                 |                                |
"

"
5.6.2 Double exchange

...

"

Laurent

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of Valerie Gastaud
Sent: Thursday, July 21, 2005 2:50 PM
To: [email-masked]
Subject: RE: [Sigtran] M3UA : 2 or 4 messages for ASP-UP in IPSP DE ?

I agree with Brian and Tolga.
Let's keep the IPSP DE model as agreed before, i.e. requiring a double
exchange of ASPSM and ASPTM messages. This ensures interoperability and
keeps it simple.

Valerie

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On
Behalf Of Brian F. G. Bidulock
Sent: mercredi 20 juillet 2005 22:51
To: Cavalier, Laurent
Cc: [email-masked]
Subject: Re: [Sigtran] M3UA : 2 or 4 messages for ASP-UP in IPSP DE ?

Laurent,

Cavalier, Laurent wrote:
(Wed, 20 Jul 2005 18:41:31)
> Hi guys,
> 
> IMO both alternative are conceptuality possible and technically 
> feasible. The most important is to standardize and remove 
> contradiction from RFC.
> 
> If 4 messages are used for ASPUP procedure, the model is simpler 
> because it's like if IPSPs are made of 1 SGP plus 1 ASP. In addition, 
> it cause the bidirectional activation between two IPSP (ASPTM) to be 
> unconnected and independent.
> 
> On the other hand, Double Exchange contains the word "double" but it 
> could mean that only exchanged ASPTM message need be doubled. ASPTM 
> are specific to AS but ASPSM concern the whole IPSP and 2 messages 
> could be enough to express M3UA layer availability. An IPSP which send

> an ASP UP has certainly an available M3UA layer, and certainly the 
> IPSP which respond with an ASPUP ACK has also its local M3UA layer 
> available.

Not necessarily, in the ASPF/SGPF model, sending ASP Up only indicates
that the ASPF is available.  Sending ASP Ack indicates that the SGPF is
available.

I agree with Tolga, enforcement of 4 messages is the only way to ensure
interoperability (needs to be a MUST) and sending 2 less messages would
not be any savings, anyway.

> 
> IMO the actual draft of RFC is more oriented to a choice with only 2 
> messages exchanged; it's why I thought, that at this stage, it was 
> easier to target the 2 messages model (because there is few references

> to the 4 messages model in rfc). In addition, using the 2 messages 
> model is more permissive and allows interoperating with all 
> implementations (designed for 4 or 2 messages).

Except for the example, references to 2 messages are for the SE model.

Changing to 2 messages would require pulling the document back from IESG
or starting a bis-bis draft at this point so that we can fully comment
on the resulting text.  Also, all other ASP Up related procedures (M3UA
Version, Management Blocking, etc.) would need to be reviewed and text
added to describe how they could possibly work for DE.  With 4 messages,
these exchanges are clearly the same as the equivalent ASP/SGP
procedures. With only 2 they cannot be.  This is why I say that when you
try to skip messages in DE it breaks.

--brian

> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Tolga Asveren
> Sent: Wednesday, July 20, 2005 2:08 PM
> To: [email-masked]
> I am aware that what I am going to tell relies a bit on 
> "implementation issues", but:
> 
> 1- With DE model, we always had a coupled ASP/SGP state machine in 
> mind. Allowing a single ASPUP/ASPUP-ACK exchange would break that 
> assumption.
> 
> 2- I don't think skipping a single ASPUP/ASPUP-ACK exchange is a very 
> significant optimization and won't matter much.
> 
> Overall, IMHO for the sake of keeping things clean and simple, 
> enforcing douple exchnage ASPUP/ASPUP-ACK seems a better alternative.
> 
>    Tolga
> 

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/